## org.eclipse.datatools.sqltools.db.derby.parser
Class ASTDeclareComma

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode
          org.eclipse.datatools.sqltools.db.derby.parser.SimpleNode
              org.eclipse.datatools.sqltools.db.derby.parser.ASTDeclareComma

All Implemented Interfaces:
  IASTDeclareComma, IASTSQLStatementElement, Node

    public class ASTDeclareComma

extends SimpleNode
implements IASTDeclareComma

Constructor Summary
`ASTDeclareComma(DerbySQLParser p, int id)`
`ASTDeclareComma(int id)`

Method Summary
`java.lang.Object` `jjtAccept(DerbySQLParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class org.eclipse.datatools.sqltools.db.derby.parser.SimpleNode
`childrenAccept, dump, toString, toString`

Methods inherited from class org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode

`acceptChildren, equals, exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, getText, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Constructor Detail

### ASTDeclareComma

    public ASTDeclareComma(int id)

### ASTDeclareComma

    public ASTDeclareComma(DerbySQLParser p,
                           int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(DerbySQLParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

  Overrides:
    `jjtAccept` in class `SimpleNode`